Bug 131547 - Evolution Cal does not allow mouse highlight
Evolution Cal does not allow mouse highlight
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
: Desktop
Depends On:
Blocks: 208055 209558
  Show dependency treegraph
Reported: 2004-09-02 02:13 EDT by Lawrence Lim
Modified: 2014-03-25 20:50 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-02-11 12:03:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 265436 None None None Never

  None (edit)
Description Lawrence Lim 2004-09-02 02:13:33 EDT
Description of problem:
In the Day and Work View of Evolution Cal, individual time entry
cannot be hightlighted by mouse but in the Week and Month view, the
problem does not exist.

Version-Release number of selected component (if applicable):
- evolution-data-server-0.0.97-2
- evolution-

How reproducible:

Steps to Reproduce:
1.Start Evolution Cal
2.Create an appointment 
3.Click on the time slot of the appointment created (will see a
blinking cursor)
4.Hightlight the entry with the mouse
Actual results:
Clicking the entry is fine but following that, the widget no longer
accepts input form mouse. 

Expected results:
Mouse able to hightlight an entry in the time slot.

Additional info:
Affects all locale including en_US
Comment 1 Lawrence Lim 2004-09-07 04:10:30 EDT
Filed bug upstream.

Comment 2 Dave Malcolm 2005-01-20 16:52:01 EST
To rephrase:

In the Week and Month View of Evolution Cal, 
after selecting an appointment, you can select the text using
mouse-down and drag (as expected)

However in the Day and Work View, after selecting the apoointment, you
can't highlight the text with mouse-down and drag (bug).

(verified, with Evolution
Comment 6 Leon Ho 2005-04-11 02:14:35 EDT
Still happening in evolution- and evolution-data-server-1.2.1-1
Comment 7 Dave Malcolm 2005-08-18 00:02:40 EDT
Does this still occur in rawhide?
Comment 8 Akira TAGOH 2005-08-18 03:29:50 EDT
Yes, I still saw this problem with evolution-2.3.7-1, e-d-s-1.3.7-1.
Comment 9 Akira TAGOH 2005-08-31 03:10:48 EDT
still happen in evolution-2.3.8-3 and e-d-s-1.3.8-4
Comment 11 Mayank Jain 2006-05-16 08:40:40 EDT
Still happening in Evolution 2.7.1
Comment 12 Mayank Jain 2006-08-17 03:47:00 EDT
COnfirmed with 2.7.4
Changing component to Evolution
Comment 13 Matthew Barnes 2006-08-23 11:35:52 EDT
With evolution-2.7.92, I can't seem to highlight text in _any_ of the views.

So is this bug really about being able to highlight text in the Day and Work
views, or is it about the inconsistent highlighting behavior.  Because it seems
consistent now, just not in the way we hoped for.  Or is the current behavior a
Comment 14 Mayank Jain 2006-09-01 05:27:19 EDT
It might be possible that evo was designed to be this way... to not enable 
selection of text untill the event is double clicked & launched in a full 
fledged edit window.
Comment 15 Matthew Barnes 2006-09-01 11:08:05 EDT
Perhaps, but it sounds like it was at least partially working before, either by
fluke or by design.

Given that text highlighting no longer works in _any_ of the views (can someone
confirm this, btw?), it seems to me this bug could be closed in one of two ways:

1)  If the reporter was objecting to the inconsistent highlighting
    behavior, then this can be closed because the highlighting behavior
    is now consistent.

2)  If the reporter was filing the bug because he wanted to be able to
    highlight text in any of the calendar views, then one could argue
    that this is now a feature request and the discussion should be taken

Setting this to NEEDINFO to get Lawrence's thoughts, if he even remembers filing
this one two years ago.  :)
Comment 16 A S Alam 2006-09-08 01:38:39 EDT
Tested with followin versio:

Day/Week/Month View, selection of text is not possible by mouse, only in List
view you can.
Comment 17 Mayank Jain 2006-11-09 04:32:22 EST
As per a chat excerpt from irc.gnome.org

"""<makuchaku> Hi all, I'm looking at a bug report
(https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=131547) which says that a
user cannot select text from a calendar in day/week/month view. Was this
designed to be like this or this is really a bug? It should be noted that text
selection in possible in list-view.
<makuchaku> If the calendar was designed with user-should-not-select-from-view
concept in mind, then I can proceed to close this bug or else I can try fixing this.
<kjetilho> makuchaku: if a user finds it useful and it doesn't break other
bindings, I don't see why it shouldn't be fixed.
<makuchaku> kjetilho: the user might have thought the same... also to be noted
that user can select text from keyboard using shift+arrow-key combinations
<makuchaku> hmm
Comment 18 Mayank Jain 2006-11-09 04:33:36 EST
Also, I confirm that text cannot be selected from day/week/month views but can
be selected from list-view.
Comment 19 Mayank Jain 2006-11-09 04:34:12 EST
Tested on evolution-2.9.1-2.fc7
Comment 20 Mayank Jain 2006-11-09 04:57:13 EST
Hi Matthew,

I dont know if this could be of any help or not...

Check "e_text_command" in $evo/widgets/text/e-text.c & see the case

This is just for the day view BTW :)

Comment 21 Milan Crha 2008-02-11 12:03:22 EST
Closing this as upstream as we have it there already.

Note You need to log in before you can comment on or make changes to this bug.